searchNodes=[{"doc":"This library provides a mechanism for automatically forming clusters of Erlang nodes, with either static or dynamic node membership without configurations.","ref":"Galaxy.html","title":"Galaxy","type":"module"},{"doc":"This topologying strategy works by loading all your Erlang nodes (within Pods) in the current DNS namespace. It will fetch the targets of all pods under a shared headless service and attempt to connect. It will continually monitor and update its connections every 5s.It assumes that all Erlang nodes were launched under a base name, are using longnames, and are unique based on their FQDN, rather than the base hostname. In other words, in the following longname, &lt;basename&gt;@&lt;ip&gt;, basename would be the value configured through application_name.","ref":"Galaxy.DNS.html","title":"Galaxy.DNS","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"Galaxy.DNS.html#child_spec/1","title":"Galaxy.DNS.child_spec/1","type":"function"},{"doc":"","ref":"Galaxy.DNS.html#start_link/1","title":"Galaxy.DNS.start_link/1","type":"function"},{"doc":"This clustering strategy uses multicast UDP to gossip node names to other nodes on the network. These packets are listened for on each node as well, and a connection will be established between the two nodes if they are reachable on the network, and share the same magic cookie. In this way, a cluster of nodes may be formed dynamically.The gossip protocol is extremely simple, with a prelude followed by the node name which sent the packet. The node name is parsed from the packet, and a connection attempt is made. It will fail if the two nodes do not share a cookie.By default, the gossip occurs on port 45892, using the multicast address 230.1.1.251A TTL of 1 will limit packets to the local network, and is the default TTL.Optionally, delivery_mode: :broadcast option can be set which disables multicast and only uses broadcasting. This limits connectivity to local network but works on in scenarios where multicast is not enabled. Use multicast_addr as the broadcast address.","ref":"Galaxy.Gossip.html","title":"Galaxy.Gossip","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"Galaxy.Gossip.html#child_spec/1","title":"Galaxy.Gossip.child_spec/1","type":"function"},{"doc":"","ref":"Galaxy.Gossip.html#start_link/1","title":"Galaxy.Gossip.start_link/1","type":"function"},{"doc":"This topologying strategy relies on Erlang's built-in distribution protocol by using a .hosts.erlang file (as used by the :net_adm module).Please see the net_adm docs for more details.In short, the following is the gist of how it works:File .hosts.erlang consists of a number of host names written as Erlang terms. It is looked for in the current work directory, the user's home directory, and $OTP_ROOT (the root directory of Erlang/OTP), in that order.This looks a bit like the following in practice:'super.eua.ericsson.se'. 'renat.eua.ericsson.se'. 'grouse.eua.ericsson.se'. 'gauffin1.eua.ericsson.se'. An optional timeout can be specified in the config. This is the timeout that will be used in the GenServer to connect the nodes. This defaults to :infinity meaning that the connection process will only happen when the worker is started. Any integer timeout will result in the connection process being triggered. In the example above, it has been configured for 30 seconds.","ref":"Galaxy.Host.html","title":"Galaxy.Host","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"Galaxy.Host.html#child_spec/1","title":"Galaxy.Host.child_spec/1","type":"function"},{"doc":"","ref":"Galaxy.Host.html#start_link/1","title":"Galaxy.Host.start_link/1","type":"function"},{"doc":"Topology interface for cluster formation.","ref":"Galaxy.Topology.html","title":"Galaxy.Topology","type":"behaviour"},{"doc":"","ref":"Galaxy.Topology.html#c:connect_nodes/1","title":"Galaxy.Topology.connect_nodes/1","type":"callback"},{"doc":"","ref":"Galaxy.Topology.html#c:disconnect_nodes/1","title":"Galaxy.Topology.disconnect_nodes/1","type":"callback"},{"doc":"","ref":"Galaxy.Topology.html#c:members/0","title":"Galaxy.Topology.members/0","type":"callback"},{"doc":"Native Erlang Distribution interface.","ref":"Galaxy.Topology.ErlDist.html","title":"Galaxy.Topology.ErlDist","type":"module"},{"doc":"Callback implementation for Galaxy.Topology.connect_nodes/1.","ref":"Galaxy.Topology.ErlDist.html#connect_nodes/1","title":"Galaxy.Topology.ErlDist.connect_nodes/1","type":"function"},{"doc":"Callback implementation for Galaxy.Topology.disconnect_nodes/1.","ref":"Galaxy.Topology.ErlDist.html#disconnect_nodes/1","title":"Galaxy.Topology.ErlDist.disconnect_nodes/1","type":"function"},{"doc":"Callback implementation for Galaxy.Topology.members/0.","ref":"Galaxy.Topology.ErlDist.html#members/0","title":"Galaxy.Topology.ErlDist.members/0","type":"function"}]